cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/agent-builder/projects \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/agent-builder/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/agent-builder/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"projects": [
{
"projectId": "64f2a8c8a2b3c4d5e6f7a8b9",
"locationId": "loc_9f7a123",
"businessName": "Acme Clinic",
"agencyName": "Acme Agency",
"campaignCount": 3
}
]
}{
"success": false,
"error": "VALIDATION",
"message": "`name` is required when creating a campaign."
}{
"success": false,
"error": "Unauthorized",
"message": "Authentication required."
}{
"success": false,
"error": "Forbidden",
"message": "You do not have access to this project."
}{
"success": false,
"error": "TooManyRequests",
"message": "Too many requests, please try again later."
}{
"success": false,
"error": "InternalError",
"message": "Unexpected server error."
}List campaign projects
List visible projects that can contain campaigns. Customer role: agency_admin.
Required API key scope: projects:read.
GET
/
api
/
agent-builder
/
projects
cURL
⌘I
